%set_verify_elf_method skip

%define uldvendor samsung

Name: %uldvendor-uld
Version: 1.0.39.1.17
Release: alt2
Source0: uld_V1.00.39_01.17.tar.gz
Source1: 24-smfp_%uldvendor.rules
Source2: uld-readme.txt
Group: Other
Summary: Samsung Print Driver for Linux
URL: https://ftp.hp.com/pub/softlib/software13/printers/SS/SL-C4010ND/uld_V1.00.39_01.17.tar.gz
License: distributable

Requires: sane
Requires: cups

Conflicts: xerox-uld

%description

%prep
%setup -c

%install
# printer
cd ./uld
mkdir -p %buildroot/%_datadir/ppd/
mkdir -p %buildroot/opt/%uldvendor/scanner
mkdir -p %buildroot/opt/%uldvendor/printer/share/ppd/cms
cp -rf ./noarch/share/ppd/* %buildroot/opt/%uldvendor/printer/share/ppd/

mkdir -p %buildroot/%_libexecdir/cups/{backend,filter}/
mkdir -p %buildroot/opt/smfp-common/{printer,scanner,security,mfp,legacy_compat}
mkdir -p %buildroot/opt/smfp-common/printer/{lib,bin,.usedby}
mkdir -p %buildroot/opt/smfp-common/scanner/{lib,share,.usedby}

cp -f ./x86_64/libscmssc.so %buildroot/opt/smfp-common/printer/lib/libscmssc.so

cp -f ./x86_64/smfpnetdiscovery %buildroot/opt/smfp-common/printer/bin/
cp -f ./x86_64/pstosecps  %buildroot/opt/smfp-common/printer/bin/
cp -f ./x86_64/rastertospl  %buildroot/opt/smfp-common/printer/bin/

cp %SOURCE2 /%buildroot/opt/%uldvendor/uld-readme.txt

# scaner
mkdir -p  %buildroot/%_sysconfdir/udev/rules.d/
cp %SOURCE1 %buildroot/%_sysconfdir/udev/rules.d/

mkdir -p %buildroot/%_sysconfdir/sane.d/
cp -f ./noarch/etc/smfp.conf %buildroot/%_sysconfdir/sane.d/smfp-%uldvendor.conf
mkdir -p %buildroot/%_libdir/sane/

cp -f ./x86_64/libsane-smfp.so.1.0.1 %buildroot/opt/smfp-common/scanner/lib/  
cp -f ./noarch/{libsane-smfp.cfg,pagesize.xml} %buildroot/opt/smfp-common/scanner/share/

%post
echo 'smfp' >> %_sysconfdir/sane.d/dll.conf
cd %_libdir/sane/
ln -sf /opt/smfp-common/scanner/lib/libsane-smfp.so.1.0.1 libsane-smfp.so.1.0.1
ln -sf libsane-smfp.so.1.0.1 libsane-smfp.so
ln -sf libsane-smfp.so.1.0.1 libsane-smfp.so.1

cd %_libexecdir/cups/backend/
ln -sf /opt/smfp-common/printer/bin/smfpnetdiscovery smfpnetdiscovery
cd ../filter/
ln -sf /opt/smfp-common/printer/bin/rastertospl rastertospl
ln -sf /opt/smfp-common/printer/bin/pstosecps pstosecps

cd /opt/smfp-common/scanner/.usedby
ln -sf /opt/%uldvendor/scanner %uldvendor

cd  /opt/smfp-common/printer/.usedby
ln -sf /opt/%uldvendor/printer %uldvendor

cd  %_datadir/ppd/
ln -sf /opt/%uldvendor/printer/share/ppd/ uld-%uldvendor

%postun
sed -i '/^smfp$/d' %_sysconfdir/sane.d/dll.conf
rm -f %_datadir/ppd/uld-%uldvendor
rm -f /opt/smfp-common/printer/.usedby/%uldvendor
rm -f /opt/smfp-common/scanner/.usedby/%uldvendor
rm -f %_libexecdir/cups/backend/{smfpnetdiscovery,rastertospl,pstosecps}
rm -f %_libdir/sane/libsane-smfp.so*

%files
/opt/smfp-common/*
/opt/%uldvendor/*
#%_datadir/ppd/*
%_sysconfdir/sane.d/
%_sysconfdir/udev/rules.d/*
#%_libdir/sane/libsane-smfp.so*
#%_libexecdir/cups/backend/*
#%_libexecdir/cups/filter/*


%changelog

* Wed Jan 25 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.0.39.1.17-alt2
- Add Conflicts with xerox-uld

* Wed Dec 20 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.0.39.1.17-alt1
- Init build
- Remove France translation